Update dataset version

Update a dataset version’s change_description and/or add new tags

Path parameters

versionHashstringRequired
idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
change_descriptionstringOptional
Optional description of changes in this version
tags_to_addlist of stringsOptional
Optional list of tags to add to this version

Response

Version updated successfully
idstring or nullRead-onlyformat: "uuid"
dataset_idstring or nullRead-onlyformat: "uuid"
version_hashstring or nullRead-only
tagslist of strings or nullRead-only
is_latestboolean or nullRead-only
Indicates whether this is the latest version of the dataset
version_namestring or nullRead-only
Sequential version name formatted as 'v1', 'v2', etc.
items_totalinteger or nullRead-only
Total number of items in this version
items_addedinteger or nullRead-only
Number of items added since last version
items_modifiedinteger or nullRead-only
Number of items modified since last version
items_deletedinteger or nullRead-only
Number of items deleted since last version
change_descriptionstring or nullRead-only
metadatamap from strings to strings or nullRead-only
evaluatorslist of objects or nullRead-only
Default evaluators for items in this version
execution_policyobject or nullRead-only
Default execution policy for items in this version
created_atstring or nullRead-onlyformat: "date-time"
created_bystring or nullRead-only
last_updated_atstring or nullRead-onlyformat: "date-time"
last_updated_bystring or nullRead-only

Errors